%global debug_package %{nil}
%global __strip /bin/true

Name:           DirectX-Headers
Version:        1.614.0
Release:        1%{?dist}
Summary:        Official Direct3D 12 headers

License:        MIT
URL:            https://github.com/microsoft/DirectX-Headers
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# WSL2 is only relevant on theses arches so far
ExclusiveArch:  x86_64 aarch64 %{ix86}

BuildRequires:  meson
BuildRequires:  gcc-c++
# Test assumes the build is under WSL, which is unlily
%{?_with_test:BuildRequires: gtest-devel}

# Case in-sensitive provides
Provides: directx-headers = %{version}-%{release}


%description
Official Direct3D 12 headers

%prep
%autosetup -p1


%build
%meson \
 %{?!_with_test:-Dbuild-test=false}

%meson_build


%install
%meson_install


%check
%{?_with_test:
%meson_test
}


%files
%license LICENSE
%doc README.md SECURITY.md
%{_includedir}/directx
%{_includedir}/dxguids
%{_includedir}/wsl
%{_libdir}/libDirectX-Guids.a
%{_libdir}/libd3dx12-format-properties.a
%{_libdir}/pkgconfig/DirectX-Headers.pc


%changelog
* Mon Feb 26 2024 Nicolas Chauvet <kwizart@gmail.com> - 1.611.0-1
- Initial spec file
